BaseCatalinaMBean (Apache Tomcat 10.1.39 API Documentation)
Description: declaration: package: org.apache.catalina.mbeans, class: BaseCatalinaMBean

# Class BaseCatalinaMBean<T>

java.lang.Object
org.apache.tomcat.util.modeler.BaseModelMBean
org.apache.catalina.mbeans.BaseCatalinaMBean<T>

All Implemented Interfaces:
  `DynamicMBean`, `MBeanRegistration`, `ModelMBeanNotificationBroadcaster`, `NotificationBroadcaster`

Direct Known Subclasses:
  `ClassNameMBean`, `ContainerMBean`, `ContextEnvironmentMBean`, `ContextMBean`, `ContextResourceLinkMBean`, `ContextResourceMBean`, `ServiceMBean`

public abstract class BaseCatalinaMBean<T> extends BaseModelMBean

- ## Field Summary

  ### Fields inherited from class org.apache.tomcat.util.modeler.BaseModelMBean

  `attributeBroadcaster, generalBroadcaster, managedBean, oname, resource, resourceType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseCatalinaMBean()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected T`
  `doGetManagedResource()`
  `protected static Object`
  `newInstance(String type)`

  ### Methods inherited from class org.apache.tomcat.util.modeler.BaseModelMBean

  `addAttributeChangeNotificationListener, addNotificationListener, getAttribute, getAttributes, getClassName, getJmxName, getManagedResource, getMBeanInfo, getModelerType, getNotificationInfo, getObjectName, invoke, postDeregister, postRegister, preDeregister, preRegister, removeAttributeChangeNotificationListener, removeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, sendNotification, sendNotification, setAttribute, setAttributes, setManagedBean, setManagedResource, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BaseCatalinaMBean

    public BaseCatalinaMBean()

- ## Method Details

  - ### doGetManagedResource

    protected T doGetManagedResource() throws MBeanException
    Throws:
      `MBeanException`

  - ### newInstance

    protected static Object newInstance(String type) throws MBeanException
    Throws:
      `MBeanException`